Update Organisation
Update an organisation's name and description.
Authorization: caller must be an admin or owner. The slug is
immutable via this endpoint - only name and description are
applied.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "description": "string", "avatar_url": "string", "is_personal": false, "created_at": "2019-08-24T14:15:22Z", "member_count": 0}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}